set option public.Global_database_id = 0;
set option public.delete_old_logs = 'ON';

create table SynchFiles (
  file_name varchar(128) not null,
  username  varchar(128) not null,
  contents  long binary null,
  primary key( file_name, username )
);

call ml_add_column( 'v1', 'SynchFiles', 'file_name', NULL );
call ml_add_column( 'v1', 'SynchFiles', 'contents', NULL );

call ml_add_table_script( 'v1', 'SynchFiles', 'upload_insert', 
'insert into SynchFiles on existing update
 values ({ml r.file_name},{ml s.username},{ml r.contents})'
);

-- These next three events should never be called, but I'll define them
-- just in case, since I don't like the idea of adding the -fr switch
-- to the MobiLink server, and the where 1=0 clause should ensure they
-- do nothing even if they are called.

call ml_add_table_script( 'v1', 'SynchFiles', 'upload_update',
'update SynchFiles set contents = {ml r.contents} 
 where file_name = {ml r.file_name} and 1=0'
);

call ml_add_table_script( 'v1', 'SynchFiles', 'upload_delete',
'delete from SyncFiles where file_name = {ml r.file_name} and 1=0'
);

call ml_add_table_script( 'v1', 'SynchFiles', 'download_cursor',
'select file_name, contents from SynchFiles where 1=0'
);

commit;
