parameters user_num;

set option public.Global_database_id = {user_num};
set option public.delete_old_logs = 'ON';

create table SynchFiles (
  file_name varchar(128) primary key,
  contents  long binary null,
);

create procedure ui_synchFiles()
result ( file_name varchar(128), contents long binary )
begin
  select file_name, contents from SynchFiles
end;

create publication p1 with scripted upload (
  table SynchFiles( file_name, contents ) USING (
      PROCEDURE ui_SynchFiles FOR UPLOAD INSERT
  )
);
create synchronization user "rem{user_num}";
create synchronization subscription to p1 for "rem{user_num}" 
  type 'tcpip' address 'host=localhost' option sv='v1';

commit;
